Results 1 to 9 of 9

Thread: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

  1. #1
    I could stop if I wanted to
    Join Date
    2011-09
    Posts
    308
    Login to Give a bone
    0

    Default Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Hiya gang,

    Lee Mac wrote this lisp for me a while back that send wipeouts inside blocks to th eback of the draworder. It worked great for years and now in AutoCAD 2019, it seems to have stopped working.

    Hopeing somebody can shed some light on this for me.

    Lee Mac's Code:

    Code:
    (defun c:BlockWipeoutToBack (/ acdoc)
      ;; Lee Mac 20.06.11
      (setq acdoc (vla-get-activedocument (vlax-get-acad-object)))
      (vlax-for block (vla-get-blocks acdoc)
        (if
          (and
            (eq :vlax-false (vla-get-islayout block))
            (eq :vlax-false (vla-get-isxref block))
          )
           (
            (lambda (/ lst)
              (vlax-for obj block
                (if (eq "AcDbWipeout" (vla-get-objectname obj))
                  (setq lst (cons obj lst))
                )
              )
              (if lst
                (vla-movetobottom
                  (LM:SortentsTable block)
                  (vlax-make-variant
                    (vlax-safearray-fill
                      (vlax-make-safearray
                        vlax-vbobject
                        (cons 0 (1- (length lst)))
                      )
                      lst
                    )
                  )
                )
              )
            )
           )
        )
      )
      (vla-regen acdoc acallviewports)
      (princ)
    )
    (defun LM:SortentsTable (space / dict result)
      (cond
        (
         (not
           (vl-catch-all-error-p
             (setq result
                    (vl-catch-all-apply
                      'vla-item
                      (list (setq dict (vla-GetExtensionDictionary space))
                            "ACAD_SORTENTS"
                      )
                    )
             )
           )
         )
         result
        )
        ((vla-AddObject dict "ACAD_SORTENTS" "AcDbSortentsTable"))
      )
    )
    (vl-load-com) (princ)
    Last edited by BlackBox; 2019-08-29 at 05:39 PM. Reason: Code formatting

  2. #2
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Works fine here (C3D 2019.3)
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  3. #3
    I could stop if I wanted to
    Join Date
    2011-09
    Posts
    308
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Quote Originally Posted by BlackBox View Post
    Works fine here (C3D 2019.3)
    Crazy. Maybe my blocks? Hard to believe all of them suddenly became unresponsive to this command. I've attached a file with a few. Does it still work for you?
    Attached Files Attached Files

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Quote Originally Posted by jpcadconsulting347236 View Post
    Crazy. Maybe my blocks? Hard to believe all of them suddenly became unresponsive to this command. I've attached a file with a few. Does it still work for you?
    Still works fine here (C3D 2019.3):

    BlockWipeoutToBack.gif
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    Member
    Join Date
    2005-07
    Posts
    40
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Works in AutoCAD 2019.1.2 on my end, similar to BlackBox … have you added any new routines to your setup?

  6. #6
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,667
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Even works on my Civil 3D 2019 that doesn't have any updates.

  7. #7
    I could stop if I wanted to
    Join Date
    2011-09
    Posts
    308
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Super weird.

    Works fine in our NYC office, not in the Cambridge office. Same version, same support files...

    Could it be some setting in AutoCAD or a driver issue?

  8. #8
    I could stop if I wanted to
    Join Date
    2011-09
    Posts
    308
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    Acad version is older in Cambridge. Updating now to see if that's it.

  9. #9
    I could stop if I wanted to
    Join Date
    2011-09
    Posts
    308
    Login to Give a bone
    0

    Default Re: Lisp that sends wipeouts to the back of the drawortder inside blocks not working in 2019

    I'll be darned. After the update it works. Who knew?

    Thanks for your help folks... always appreciated.

    Now back to trying to wrap my brain around reactors.

Similar Threads

  1. 2014: DWG Nested Inside Detail Comp. > Nested Inside Profile > Nested Inside Window
    By edu.rocha.tavares in forum Revit Architecture - Families
    Replies: 5
    Last Post: 2013-11-26, 06:46 PM
  2. Joining Channels to Angles sends components skewing at odd angles. (REVIT Struct 2012)
    By Melissa.Stewart1980 in forum Revit Structure - General
    Replies: 4
    Last Post: 2012-05-25, 05:56 PM
  3. Publishing sends all other windows to background
    By toddbatterman in forum AutoCAD Plotting
    Replies: 1
    Last Post: 2010-01-30, 12:19 AM
  4. Plotting through sheet set-sends 3 drawings and crashes
    By okillham in forum AutoCAD Plotting
    Replies: 2
    Last Post: 2006-04-13, 02:38 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •